> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new customer



## OpenAPI

````yaml /api-reference/membrane-api.json post /customers
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /customers:
    post:
      tags:
        - Customers
      summary: Create a new customer
      operationId: createCustomer
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApiResponseDto'
components:
  schemas:
    CreateCustomerRequestDto:
      type: object
      properties:
        name:
          type: string
        internalId:
          type: string
        fields:
          type: object
        credentials:
          type: object
        aiCreditsRolling30DayLimit:
          type: number
          minimum: 0
          nullable: true
      required:
        - name
    CustomerApiResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        meta:
          type: object
          additionalProperties:
            type: object
        internalId:
          type: string
        fields:
          type: object
          additionalProperties:
            type: object
        credentials:
          type: object
        lastActiveAt:
          type: string
        isTest:
          type: boolean
        isBillable:
          type: boolean
        isActive:
          type: boolean
        aiCreditsRolling30DayLimit:
          type: number
          minimum: 0
          nullable: true
        createdAt:
          type: string
        archivedAt:
          type: string
      required:
        - id
        - name
        - internalId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````